Bug 1303050 - Useless CPPFLAGS in spec file
Useless CPPFLAGS in spec file
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: synfig (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-29 07:35 EST by Jonathan Wakely
Modified: 2017-07-25 15:59 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-25 15:59:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Wakely 2016-01-29 07:35:15 EST
The synfig.spec file has:

%configure --disable-static --with-imagemagick --with-magickpp \
        --without-libavcodec
        CPPFLAGS='-DMagickLib=MagickCore -I/usr/include/ImageMagick'

The CPPFLAGS variable is not passed to configure because there's no backslash on the line before it. The CPPFLAGS variable appears to be redundant and could be removed, or re-indented to stop it looking like it is part of the %configure, or if it's actually meant to do something a backslash added.
Comment 1 Jan Kurik 2016-02-24 09:21:47 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 2 Fedora End Of Life 2017-07-25 15:51:56 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 3 Jonathan Wakely 2017-07-25 15:59:43 EDT
This is fixed in rawhide.

Note You need to log in before you can comment on or make changes to this bug.